/**
 * Copyright (C) 2019 Futurenext srl
 *
 * This file is part of Zakeke.
 *
 * Zakeke Interactive Product Designer can not be copied and/or distributed
 * without the express permission of Futurenext srl
 *
 * @author    Futurenext srl <help@zakeke.com>
 * @copyright 2019 Futurenext srl
 * @license   https://portal.zakeke.com/Contracts/GeneralConditions
 */

function zakekeProductPage () {
    var addToCartForm = document.getElementById('add-to-cart-or-refresh');
    if (!addToCartForm) {
        return;
    }

    var addToCartButton = addToCartForm.querySelector('.add-to-cart');

    var customizeContainer = document.createElement('DIV');
    customizeContainer.id = 'zakeke-customize-container';

    var customizeButton = document.createElement('BUTTON');
    customizeButton.id = 'zakeke-customize';
    customizeButton.className = 'btn btn-primary add-to-cart';
    customizeButton.textContent = window.zakekeCustomizeLabel || 'Customize';

    customizeButton.addEventListener('click', function (e) {
        addToCartButton.addEventListener('click', function (e) {
            e.stopPropagation();
        });

        addToCartForm.action = window.zakekeAddUrl;

        addToCartButton.click();
    });

    customizeContainer.appendChild(customizeButton);
    addToCartForm.insertAdjacentElement('afterbegin', customizeContainer);
}

document.addEventListener('DOMContentLoaded', zakekeProductPage);