/**
 * Copyright (C) 2019 Futurenext srl
 *
 * This file is part of Zakeke.
 *
 * Zakeke Interactive Product Designer can not be copied and/or distributed
 * without the express permission of Futurenext srl
 *
 * @author    Futurenext srl <help@zakeke.com>
 * @copyright 2019 Futurenext srl
 * @license   https://portal.zakeke.com/Contracts/GeneralConditions
 */

function zakekeProductPage() {
    var addToCartForm = document.getElementById('buy_block');

    if (!addToCartForm) {
        return;
    }

    var addToCartButton = addToCartForm.querySelector('#add_to_cart > button');

    var customizeContainer = document.createElement('DIV');
    customizeContainer.id = 'zakeke-customize-container';

    var customizeP = document.createElement('P');
    customizeP.className = 'buttons_bottom_block no-print';

    var customizeButton = document.createElement('BUTTON');
    customizeButton.id = 'zakeke-customize';
    customizeButton.className = 'btn btn-primary add-to-cart';
    customizeButton.className = 'exclusive';
    customizeButton.style.width = '100%';

    var customizeSpan = document.createElement('SPAN');
    customizeSpan.textContent = window.zakekeCustomizeLabel || 'Customize';
    customizeButton.appendChild(customizeSpan);

    customizeButton.addEventListener('click', function (e) {
        addToCartButton.addEventListener('click', function (e) {
            e.stopPropagation();
        });

        addToCartForm.action = window.zakekeAddUrl;

        addToCartButton.click();
    });

    customizeP.appendChild(customizeButton);
    customizeContainer.appendChild(customizeP);

    var cartButtonsContainer = addToCartForm.querySelector('.box-cart-bottom');
    cartButtonsContainer.firstElementChild.insertAdjacentElement('afterend', customizeContainer);
}

document.addEventListener('DOMContentLoaded', zakekeProductPage);