/**
 * Copyright (C) 2019 Futurenext srl
 *
 * This file is part of Zakeke.
 *
 * Zakeke Interactive Product Designer can not be copied and/or distributed
 * without the express permission of Futurenext srl
 *
 * @author    Futurenext srl <help@zakeke.com>
 * @copyright 2019 Futurenext srl
 * @license   https://portal.zakeke.com/Contracts/GeneralConditions
 */

function zakekeProductPage () {
    var addToCartForm = document.getElementById('add-to-cart-or-refresh');
    if (!addToCartForm) {
        return;
    }

    var addToCartCallback = function (e) {
        e.stopPropagation();
        addToCartForm.action = window.zakekeAddUrl;
    };

    setInterval(function() {
        var addToCartButton = addToCartForm.querySelector('.add-to-cart');
        if (!addToCartButton) {
            return;
        }

        addToCartButton.removeEventListener('click', addToCartCallback);
        addToCartButton.addEventListener('click', addToCartCallback);
    }, 500);
}

document.addEventListener('DOMContentLoaded', zakekeProductPage);