/**
 * Copyright (C) 2019 Futurenext srl
 *
 * This file is part of Zakeke.
 *
 * Zakeke Interactive Product Designer can not be copied and/or distributed
 * without the express permission of Futurenext srl
 *
 * @author    Futurenext srl <help@zakeke.com>
 * @copyright 2019 Futurenext srl
 * @license   https://portal.zakeke.com/Contracts/GeneralConditions
 */

function zakekeProductPage () {
    var addToCartForm = document.getElementById('buy_block');

    var addToCartButton = document.querySelector('#add_to_cart > button');

    if (addToCartButton) {
        addToCartButton.addEventListener('click', function (e) {
           e.stopPropagation();
           addToCartForm.action = window.zakekeAddUrl;
        });
    }
}

document.addEventListener('DOMContentLoaded', zakekeProductPage);